kitemviews 5.63.0-1 (znver1) 2019-7344
0

Submitter nobodydead [@T] gmail.com
Platform rolling
Repository main
URL https://abf.openmandriva.org/build_lists/614242
Packages
kitemviews-5.63.0-1.znver1.source
kitemviews-5.63.0-1.znver1.binary
kitemviews-designer-5.63.0-1.znver1.binary
kitemviews-devel-docs-5.63.0-1.znver1.binary
lib64KF5ItemViews5-5.63.0-1.znver1.binary
lib64KF5ItemViews-devel-5.63.0-1.znver1.binary
python-kitemviews-5.63.0-1.znver1.binary
Build Date 2019-10-08 23:06:59 +0000 UTC
Last Updated 2019-10-08 23:18:52.562299569 +0000 UTC
$ git diff --patch-with-stat --summary 7a89c9b1fd77f401f893e43f757154a0978d2c4e..3a5aff073076691fc182b57c1d65a42f6624a615

 .abf.yml        |  2 +-
 kitemviews.spec | 14 +++++++++++++-
 2 files changed, 14 insertions(+), 2 deletions(-)

diff --git a/.abf.yml b/.abf.yml
index dc69c6d..a12a376 100644
--- a/.abf.yml
+++ b/.abf.yml
@@ -1,2 +1,2 @@
 sources:
-  kitemviews-5.60.0.tar.xz: 87fabadeeac4074d14a2ae9606978a89dd26d2b8
+  kitemviews-5.63.0.tar.xz: d98de5abb73bf04659d7c1d4bd9281a4c4729637
diff --git a/kitemviews.spec b/kitemviews.spec
index 9ae367f..ac73027 100644
--- a/kitemviews.spec
+++ b/kitemviews.spec
@@ -5,7 +5,7 @@
 %define stable %([ "`echo %{version} |cut -d. -f3`" -ge 80 ] && echo -n un; echo -n stable)
 
 Name: kitemviews
-Version:	5.60.0
+Version:	5.63.0
 Release:	1
 Source0: http://download.kde.org/%{stable}/frameworks/%(echo %{version} |cut -d. -f1-2)/%{name}-%{version}.tar.xz
 Summary: The KDE Frameworks 5 item view library
@@ -18,6 +18,7 @@ BuildRequires: pkgconfig(Qt5Gui)
 BuildRequires: pkgconfig(Qt5Widgets)
 BuildRequires: pkgconfig(Qt5Test)
 BuildRequires: cmake(Qt5LinguistTools)
+BuildRequires: cmake(Qt5UiPlugin)
 # For Python bindings
 BuildRequires: cmake(PythonModuleGeneration)
 BuildRequires: pkgconfig(python3)
@@ -81,6 +82,17 @@ Requires: %{libname} = %{EVRD}
 %description -n python-%{name}
 Python bindings for %{name}
 
+%package designer
+Summary: Qt Designer plugin for handling KItemView widgets
+Group: Development/KDE and Qt
+Requires: %{libname} = %{EVRD}
+
+%description designer
+Qt Designer plugin for handling KItemView widgets
+
+%files designer
+%{_libdir}/qt5/plugins/designer/kitemviews5widgets.so
+
 %prep
 %autosetup -p1
 %cmake_kde5
Not Available
On your rolling/znver1 machine, enable the updates-testing repository for main. Then urpmi.update -a and urpmi the affected packages.
When you're done, you can use urpmi --downgrade to revert back to previous versions.
No opinions... yet.